Issue connecting with Azure on MacOS Sierra

Hi, 

My datagrip instance has started giving out errors, "Broken pipe ClientConnectionId", since I upgraded my OS to new MacOS Sierra. Did anybody else also facing similar issue ?

Naveen

20 comments
Comment actions Permalink

You are the first, Naveen. Please, provide a screenshot.

0
Comment actions Permalink

Maxim,

I am getting broken connection id, which is specific only to MacOS Sierra. I can run latest build on previous version pretty easily.

I am already in chat with Jetbrains support for this, so wouldn't double post here. I just hoped that somebody in community might have quicker resolution.

1
Comment actions Permalink

Hello! I have same issue. Can't work with SQL Azure from DataGrip on mac OS X Sierra

3
Comment actions Permalink

Adding my two cents to it. I think its more of java issue rather than Datagrip. My other java based SQL editors are giving same connection errors. 

I am still in touch with support team to resolve my issue, but any leads on this will help.

0
Comment actions Permalink

I have the same issue.  Any updates?

2
Comment actions Permalink

Same issue here, unfortunately :-( I have no problem connecting to a MySQL-database.

1
Comment actions Permalink

Hi.
Could you specify what driver do you use? What Azure service do you use?
Could you connect with another app to Azure service?

0
Comment actions Permalink

Answer from Bryan:

I’m using the MSFT JDBC driver that can be downloaded through DataGrip.  I’m connecting to an Azure SQL database instance.
I’m no longer convinced this is a DataGrip issue - I believe it is more Java related.  Here’s some more info.

  • DataGrip stopped working with Azure SQL after the Sierra update

  • DataGrip on Windows works fine

  • SquirrelSQL will not connect either

I suspect this is an SSL certificate issue but I don’t understand how this is related to the Sierra update.

2
Comment actions Permalink

Vasily,

I'm using the Microsoft JDBC Driver for SQL Server to connect to an Azure SQL database instance. I have no trouble connecting to the same Azure service using Datagrip 2016.2.1 on Windows 10. I also updated Java (to version 8 update 101), unfortunately to no avail. Hope this helps resolving the issue!

1
Comment actions Permalink

I've filled the issue in our tracker: https://youtrack.jetbrains.com/issue/DBE-3280 for further investigation. Please follow.

1
Comment actions Permalink

same issue... No upgrade?

0
Comment actions Permalink

Hi,

https://youtrack.jetbrains.com/issue/IDEA-163324 or https://youtrack.jetbrains.com/issue/DBE-3280 can help you to be up to date.

A solution depends on Oracle's support.

Thank you.

0
Comment actions Permalink

I had similar problem connecting to Azure SQL (osx Sierra).  Usually I work with SSMS in a remote desktop together with an IDE locally but I wanted to use Phpstorm to take advantage of sql support in the editor and faster way to lookup table structures etc.

Spent last night trying to get my macbook and the sqldriver4.jar working with the 1.8 JRE to no luck. The solution that worked for me was to remove older sql**.jar's from /Library/Java/Extensions

As soon as these jar's were deleted Phpstorm/Java picked the correct jar files and the IDE connected to my Azure SQL database. Looks like a problem with how the "path" is searched by os or even the IDE..

0
Comment actions Permalink

Hello everybody,

i currently getting the error "[08S01] Broken pipe ClientConnectionId". I have tried several suggested solution on this page, but i am not able to solve this problem.

It is very strange since it worked the first time i connected. After i have disconnected the first time, the error occurred when i tried to reconnect.

I am using a MacBook Pro with Sierra 10.12.6.

Thank you

0
Comment actions Permalink

Hi all

I am experiencing the same issues using datagrip for macOS Sierra OS up to date,

The Oracle connection instead is working fine.

Hope to get it fix asap, I need to work with both env.

Giuseppe

0
Comment actions Permalink

To latest commentators: did you try the mentioned workaround?

0
Comment actions Permalink

@Maxim

I just updated to MacOS High Sierra 10.13.1 and I am encountering the same error ( [08S01] Broken pipe )

 

Can someone from JetBrains please help? I have an IDE that is completely useless at this point...

 

UPDATE: I used the fix proposed by Roman K in a linked thread and seem to be working fine now

0
Comment actions Permalink

For people just seeing this. Broken pipe issues can currently be fixed by following instructions here: https://youtrack.jetbrains.com/issue/JRE-221#comment=27-1826316

There is a separate fix for people with SSL problems, which @Maxim is pointing too.

0

Please sign in to leave a comment.